<template>
  <div>
    <v-toolbar
      dark
      prominent
      image="https://cdn.vuetifyjs.com/images/backgrounds/vbanner.jpg"
    >
      <v-app-bar-nav-icon></v-app-bar-nav-icon>

      <v-toolbar-title>Vuetify 3 Kissada Cafe</v-toolbar-title>

      <v-spacer></v-spacer>

      <v-btn icon>
        <v-icon>mdi-export</v-icon>
      </v-btn>
    </v-toolbar>
  </div>
  <div>
    <div class="grid-container">
      <div class="card" v-for="item in items" :key="item.id">
        <img :src="item.coverimage" alt="" style="width: 100%" />
        <div class="car-container">
          <h4>{{ item.name }}</h4>
          <!-- <h3>{{ item.detail }}</h3> -->
          <NuxtLink :to="'/attractions/' + item.id"> Read more </NuxtLink>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup>
import { ref } from "vue";
const items = ref([]);

fetch("https://www.melivecode.com/api/attractions")
  .then((res) => res.json())
  .then((result) => {
    items.value = result;
    console.log(result);
  });
</script>

<style scoped>
.grid-container {
  display: grid;
  grid-column-gap: 0.5rem;
  grid-row-gap: 0.5rem;
}
@media (min-width: 576px) {
  .grid-container {
    grid-template-columns: repeat(1, 1fr);
  }
}

@media (min-width: 992px) {
  .grid-container {
    grid-template-columns: repeat(3, 1fr);
  }
}

.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  transition: 0.3s;
  width: 100%;
}

.card:hover {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

.car-container {
  padding: 2px 16px;
}
</style>